# Class AlarmConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings for an alarm.

    public class AlarmConfig

Inheritance
  object
  AlarmConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AudioConfig

    public AudioConfig? AudioConfig { get; set; }

#### Property Value

AudioConfig

### Beacon

    public AlarmItem? Beacon { get; set; }

#### Property Value

AlarmItem

### Color

    public string? Color { get; set; }

#### Property Value

string

### Enabled

    public bool Enabled { get; set; }

#### Property Value

bool

### EndAfter

    public int EndAfter { get; set; }

#### Property Value

int

### Name

    public string? Name { get; set; }

#### Property Value

string

### OpenDoor

    public AlarmItem? OpenDoor { get; set; }

#### Property Value

AlarmItem

### Priority

    public int? Priority { get; set; }

#### Property Value

int?

### Recording

    public AlarmItem? Recording { get; set; }

#### Property Value

AlarmItem